Bulk update items across campaigns

Bulk update items across multiple campaigns - e.g. pause all submitted items.
You can also use a network account to bulk update items across the network.

See also:

Rate limit: Tier 4
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Bulk update items - e.g. pause/resume items - across multiple campaigns.

You can also use a network account to bulk update items across the network.

🚧

Unified endpoint

The bulk update endpoint can be used to pause/resume regular both items (aka static ads) and motion ads.

Example

POST /backstage/api/1.0/demo-advertiser/items/bulk
{
    "items_to_update": [
        309,
        801,
        573
    ],
    "baseline_item": {
        "is_active": true
    }
}
{
    "results": [{
            "id": "309",
            "campaign_id": "33",
            "type": "ITEM",
            "url": "https://www.example.com/news/demo_article_9.html",
            "thumbnail_url": "http://cdn.example.com/demo_image_9.jpg",
            "title": "Demo Article 9",
            "description": null,
            "approval_state": "APPROVED",
            "is_active": false,
            "status": "RUNNING",
            "policy_review": {
                "reject_reason": null,
                "status_reason": null
            },
            "cta": null,
            "creative_focus": {
                "type": "AUTOMATIC",
                "coordinates": null
            }
        },
        {
            "id": "801",
            "campaign_id": "270",
            "type": "ITEM",
            "url": "https://www.example.com/news/demo_article_1.html",
            "thumbnail_url": "http://cdn.example.com/demo_image_1.jpg",
            "title": "Demo Article 1",
            "description": null,
            "approval_state": "APPROVED",
            "is_active": false,
            "status": "RUNNING",
            "policy_review": {
                "reject_reason": null,
                "status_reason": null
            },
            "cta": null,
            "creative_focus": {
                "type": "AUTOMATIC",
                "coordinates": null
            }
        },
        {
            "id": "573",
            "campaign_id": "163",
            "type": "ITEM",
            "url": "https://www.example.com/news/demo_article_3.html",
            "thumbnail_url": "http://cdn.example.com/demo_image_3.jpg",
            "title": "Demo Article 3",
            "description": null,
            "approval_state": "APPROVED",
            "is_active": false,
            "status": "RUNNING",
            "policy_review": {
                "reject_reason": null,
                "status_reason": null
            },
            "cta": null,
            "creative_focus": {
                "type": "AUTOMATIC",
                "coordinates": null
            }
        },
    ],
    "metadata": {
        ...
    }
}
📘

Request Object

  1. items_to_update: a list of Item IDs to update (each ID passed as a Number). These items can belong to different campaigns under your account.
  2. baseline_item: an object containing the fields to set.

    Currently, is_active is the only supported field.

📘

Supported Fields

Use the bulk endpoint to update the following fields:

  1. is_active
  2. creative_focus

    This field has been deprecated.

🚧

Guidelines

  1. To bulk update items, use the POST verb.
  2. Limit each request to a maximum of 200 items.
  3. By default, if the update operation fails for 1 item, then no items will be updated. To override this behavior, pass ?is_atomic=false.
  4. The bulk update operation ican be used to pause/resume regular both items (aka static ads) and motion ads.
🚧

The network account

You can use a network account to update items across the network:
POST backstage/api/1.0/{network-account}/items/bulk

For more information about the network account see: Network Accounts.

📘

See also

Rate limit

🚧

Rate limit

Tier 4. Shares one budget with the other cross-campaign bulk item endpoints - bulk create, bulk delete, and resubmitting rejected items. Separate from the per-campaign item endpoints.

See Rate limits for the request allowance each tier carries.

Path Params
string
required

An alphabetic ID. See Get Account Details.

Query Params
string

By default, if the update operation fails for 1 item, then no items will be updated.
To override this default behavior, pass the is_atomic query param with a value of false.

Body Params
json
required
Defaults to { "items_to_update": [ 309, 801, 573 ], "baseline_item": { "is_active": true } }

See description below.

Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Choose an example:
application/json